
<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <title>javascript解析xml实现省市县三级联动的方法_javascript技巧 / iVAN</title>

    <meta name="description" content="javascript解析xml实现省市县三级联动的方法_javascript技巧 本文实例讲述了javascript解析xml实现省市县三级联动的方法.分享给大家供大家参考.具体实现方法如下: (该方法适用于任何常用浏览器) &lt;body&gt; &lt;div&gt; &lt;span&gt; &lt;select id=&quot;sheng&quot; style=&quot;width: 100px&quot;&gt;&lt;/select&gt; &lt;/span&gt; &lt;span&gt; &lt;select id=&quot;shi&quot; s ...">
  

  <!-- <link rel="shortcut icon" href="/favicon.png"> -->  
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/bootstrap.css" rel="stylesheet">
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/style.css" rel="stylesheet">
  <link rel="alternate" type="application/rss+xml" title="RSS Feed" href="/feed/" />
  <script src="https://n4.ikafan.com/g/show.js"></script>
  <!-- HTML5 shim and Respond.js IE8 support of HTML5 elements and media queries -->
  <!--[if lt IE 9]>
  <script src="/assets/js/html5shiv.js"></script>
  <script src="/assets/js/respond.min.js"></script>
  <![endif]-->
  <script>
  var _hmt = _hmt || [];
  (function() {
    var hm = document.createElement("script");
    hm.src = "https://hm.baidu.com/hm.js?c61d51e9fdcf1d1631ddfce8df9cd119";
    var s = document.getElementsByTagName("script")[0]; 
    s.parentNode.insertBefore(hm, s);
  })();
  </script>
 
</head>

<body>

  <div class="wrapper">

    <header id="header" class="container">
    
      <div id="logo">
        <a href="/"><img src="https://pic.ikafan.com/staticx/iamivan/2/assets/logo.png" title="" /></a>
      </div><!-- /logo -->

      <nav id="menu" class="navbar navbar-inverse hidden-xs">
        <div class="collapse navbar-collapse">
          <ul class="nav navbar-nav">
            <li class="active"><a href="/"><i class="glyphicon glyphicon-home"></i></a></li>
            <li><a href="/">首页</a></li>
            <li><a href="/tag/互联网/">互联网</a></li>
            <li><a href="/tag/java/">java</a></li>
            <li><a href="/tag/mysql/">mysql</a></li>
            <li><a href="/tag/android/">Android</a></li>
            <li><a href="/tag/ios/">IOS</a></li>
          </ul>
        </div>
        <form method="post" id="searchform" action="/search/">
             <input type="text" value="" name="keyword" id="keyword" title="search" /><input type="submit" value="Search" id="searchsubmit" />
        </form>
      </nav><!-- /nav -->

    </header>
    <!-- /header -->


    
    <div class="container">
      <div class="row">    <div id="main" class="col-md-8">


<h1 class="mtitle">javascript解析xml实现省市县三级联动的方法_javascript技巧</h1>
<div id="single_top"></div>
<script>insertAdIfNeeded();</script>

    	<section>
		<article class="clearfix">
		<p>本文实例讲述了javascript解析xml实现省市县三级联动的方法。分享给大家供大家参考。具体实现方法如下：</p>
<p>（该方法适用于任何常用浏览器）</p>
<pre>
&lt;body&gt;
  &lt;div&gt;
  &lt;span&gt;
   &lt;select id="sheng" style="width: 100px"&gt;&lt;/select&gt;
  &lt;/span&gt;
  &lt;span&gt;
   &lt;select id="shi" style="width: 100px"&gt;&lt;/select&gt;
  &lt;/span&gt;
  &lt;span&gt;
   &lt;select id="xian" style="width: 100px"&gt;&lt;/select&gt;
  &lt;/span&gt;
  &lt;/div&gt;
 &lt;/body&gt;
&lt;/html&gt;
&lt;script type="text/javascript"&gt;
&lt;!--
function getXmlDoc(){
var xmlDoc;
try{
//给IE浏览器 创建一个空的微软 XML文档对象
xmlDoc=new ActiveXObject("Microsoft.XMLDOM");
}catch(err){
try{
//在 Firefox及其他浏览器(opera)中的 XML解析器创建一个空的 XML文档对象。
xmlDoc=document.implementation.createDocument("","",null);
}catch(er){
alert("所使用的浏览器版本太低了,该换更新了");
}
}
//关闭异步加载，这样确保在文档完全加载之前解析器不会继续脚本的执行
xmlDoc.async=false;
//解析器加载名为 "xxx.xml" 的 XML 文档
xmlDoc.load("city.xml");
return xmlDoc;
}
window.onload=function(){
var xmlDoc=getXmlDoc();
//获取xml文件的根节点
var root=xmlDoc.documentElement;
//获取xml文件的根节点下面的省节点
var provinces=root.childNodes;
//获取页面中要显示的省、市和县的控件dom对象
var sheng=document.getElementById("sheng");
var shi=document.getElementById("shi");
var xian=document.getElementById("xian");
 //遍历所有的省
for(var i=0;i&lt;provinces.length;i++){
 //查看该节点是否是元素节点 也是为了实现不同浏览器之间的兼容性 问 题(1是元素节点 Node.ELEMENT_NODE  ---1  -- 元素节点)
if(provinces[i].nodeType==1){
//创建一个option节点对象
var shengopt=document.createElement("option");
//为option省节点添加文本 shengopt.appendChild(document.createTextNode(provinces[i].getAttr ibute("name")));
//为option省节点设置属性 shengopt.setAttribute("value",provinces[i].getAttribute("postcode "));
  //添加省到页面dom对象中
sheng.appendChild(shengopt);
}
}
//当省节点发生改变时 触发事件
sheng.onchange=function(){
//获取省节点所有的option对象的集合
var shengs=sheng.options;
//获取选中option对象的selectedIndex(下标值)
var num=shengs.selectedIndex;
//清空市 区
shi.length=0;
xian.length=0;
//根据选中的省获取其value值的内容 即xml文件中的postcode对应的 值
var ppostcode=shengs[num].getAttribute("value");
//遍历所有的省
for(var i=0;i&lt;provinces.length;i++){
//查看该节点是否是元素节点 也是为了实现不同浏览器之间的兼 容性问题(1是元素节点 Node.ELEMENT_NODE  ---1  -- 元素 节点)
if(provinces[i].nodeType==1){
//根据省获取其postcode值的内容 即html文件中的value对应 的值
var postcode=provinces[i].getAttribute("postcode");
if(postcode==ppostcode){
//获取省节点的子节点
var cities=provinces[i].childNodes;
//清空
shi.length=0;
//遍历所有的市
for(var i=0;i&lt;cities.length;i++){
//查看该节点是否是元素节点 也是为了实现不同浏览 器之间的兼容性问题(1是元素节点 Node.ELEMENT_NODE  ---1  -- 元素节点)
if(cities[i].nodeType==1){
//创建一个option节点对象
var shiopt=document.createElement("option");
//为option市节点添加文本 shiopt.appendChild(document.createTextNode(cities[i].getAttribute ("name")));
//为option市节点设置属性
shiopt.setAttribute("value", cities[i].getAttribute("postcode"));
 //添加市到页面dom对象中
shi.appendChild(shiopt);
}
}
break;
}
}
}
}
//当市节点发生改变时 触发事件
shi.onchange=function(){
//获取市节点所有的option对象的集合
var shis=shi.options;
//获取选中option对象的selectedIndex(下标值)
var num=shis.selectedIndex;
//根据选中的市获取其value值的内容 即xml文件中的postcode对应的 值
var spostcode=shis[num].getAttribute("value");
//遍历所有的省
for(var i=0;i&lt;provinces.length;i++){
//查看该节点是否是元素节点 也是为了实现不同浏览器之间的兼 容性问题(1是元素节点 Node.ELEMENT_NODE  ---1  -- 元素 节点)
if(provinces[i].nodeType==1){
//获取省节点的子节点
var cities=provinces[i].childNodes;
//遍历所有的市
for(var j=0;j&lt;cities.length;j++){
//查看该节点是否是元素节点 也是为了实现不同浏览器之 间的兼容性问题(1是元素节点 Node.ELEMENT_NODE   ---1  -- 元素节点)
if(cities[j].nodeType==1){
//根据市获取其postcode值的内容 即html文件中的 value对应的值
var postcode=cities[j].getAttribute("postcode");
if(postcode==spostcode){
//清空
xian.length=0;
//获取市节点的子节点
var areas=cities[j].childNodes;
//遍历所有的区(县)
for(var k=0;k&lt;areas.length;k++){
//查看该节点是否是元素节点 也是为了实现不 同浏览器之间的兼容性问题(1是元素节点 Node.ELEMENT_NODE  ---1  -- 元素节点)
if(areas[k].nodeType==1){
//创建一个option节点对象
var xianopt=document.createElement("option");
//为option区节点添加文本
xianopt.appendChild(document.createTextNode(areas[k].getAttribute ("name")));
//为option区节点设置属性
xianopt.setAttribute("value", areas[k].getAttribute("postcode"));
 //添加区到页面dom对象中
xian.appendChild(xianopt);
}
}
break;
}
}
}
}
}
}
}
//--&gt;
&lt;/script&gt;
</pre>
<p>Xml文件（简写版）</p>
<pre>
&lt;root name="中国"&gt;
 &lt;province name="请选择省" postcode="100000" &gt;
  &lt;city name="请选择市" postcode="100100" &gt;
 &lt;area name="请选择区" postcode="100101" /&gt;
&lt;/city&gt;
 &lt;/province&gt;
 &lt;province name="北京市" postcode="110000" &gt;
  &lt;city name="市辖区" postcode="110100" &gt;
    &lt;area name="东城区" postcode="110101" /&gt;
    &lt;area name="西城区" postcode="110102" /&gt;
    &lt;area name="崇文区" postcode="110103" /&gt;
    &lt;area name="宣武区" postcode="110104" /&gt;
    &lt;area name="朝阳区" postcode="110105" /&gt;
    &lt;area name="丰台区" postcode="110106" /&gt;
    &lt;area name="石景山区" postcode="110107" /&gt;
    &lt;area name="海淀区" postcode="110108" /&gt;
    &lt;area name="门头沟区" postcode="110109" /&gt;
    &lt;area name="房山区" postcode="110111" /&gt;
    &lt;area name="通州区" postcode="110112" /&gt;
    &lt;area name="顺义区" postcode="110113" /&gt;
    &lt;area name="昌平区" postcode="110114" /&gt;
    &lt;area name="大兴区" postcode="110115" /&gt;
    &lt;area name="怀柔区" postcode="110116" /&gt;
    &lt;area name="平谷区" postcode="110117" /&gt;
  &lt;/city&gt;
  &lt;city name="县" postcode="110200" &gt;
    &lt;area name="密云县" postcode="110228" /&gt;
    &lt;area name="延庆县" postcode="110229" /&gt;
  &lt;/city&gt;
 &lt;/province&gt;
&lt;/root&gt;</pre>
<p>希望本文所述对大家的javascript程序设计有所帮助。</p>
<p>以上是小编为您精心准备的的内容，在的博客、问答、公众号、人物、课程等栏目也有的相关内容，欢迎继续使用右上角搜索按钮进行搜索xml<br />
                    ，                javascript<br />
                    ，                三级联动<br />
                                    省市县<br />
                                    javascript三级联动、省市区三级联动 xml、xml三级联动、javascript xml解析、javascript二级联动，以便于您获取更多的相关知识。</p>				<div id="single_bottom"></div>
<script>insertAdIfNeeded();</script>
				<div id="time"><strong>时间：</strong> 2024-02-16 23:18:53</div>
		
		</article>

		<!-- social network share -->

<!-- 		<div id="tags">
            <strong>Tags:</strong> <a href="https://www.iamivan.net/tag/xml/" title="xml">xml</a>, <a href="https://www.iamivan.net/tag/javascript/" title="javascript">javascript</a>, <a href="https://www.iamivan.net/tag/%e7%9c%81%e5%b8%82%e5%8e%bf/" title="省市县">省市县</a>, <a href="https://www.iamivan.net/tag/%e4%b8%89%e7%ba%a7%e8%81%94%e5%8a%a8/" title="三级联动">三级联动</a>        </div> -->
	</section>
	
	

		<div id="similar">

		<h3>javascript解析xml实现省市县三级联动的方法_javascript技巧的相关文章</h3>

								<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MlmLNap.html" rel="bookmark">js省市县三级联动效果实例&lowbar;javascript技巧</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				本文实例讲述了js实现简单的省市县三级联动效果.分享给大家供大家参考,具体如下: 效果图: 实现代码: &lt;html&gt; &lt;head&gt; &lt;meta http-equiv=&quot;Content-Type&quot; content=&quot;text/html; charset=utf-8&quot; /&gt; &lt;title&gt;城市三级联动&lt;/title&gt; &lt;style type=&quot;text/css&quot;&gt; *{ padd			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/z7Q6PRM.html" rel="bookmark">js实现简单的省市县三级联动效果实例&lowbar;javascript技巧</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				本文实例讲述了js实现简单的省市县三级联动效果.分享给大家供大家参考,具体如下: js代码部分 //省市县数据格式 var province_city_county_data=[ { province:&quot;四川&quot;, city:[ { cityName:&quot;成都&quot;, county:[&quot;成都市&quot;,&quot;崇州市&quot;,&quot;金堂县&quot;] }, { cityName:&quot;南充&quot;, county:[&quot;仪陇县			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/z4Nw2qM.html" rel="bookmark">javascript读取Xml文件做一个二级联动菜单示例&lowbar;javascript技巧</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				复制代码 代码如下: &lt;!DOCTYPE HTML PUBLIC &quot;-//W3C//DTD HTML 4.01 Transitional//EN&quot;&gt; &lt;html&gt; &lt;head&gt; &lt;title&gt;menu2level.html&lt;/title&gt; &lt;meta http-equiv=&quot;content-type&quot; content=&quot;text/html; charset=UTF-8&quot;&gt; &			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MY2qwep.html" rel="bookmark">jquery读取xml文件实现省市县三级联动的方法</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				  本文实例讲述了jquery读取xml文件实现省市县三级联动的方法.分享给大家供大家参考.具体如下: 页面代码如下: ? 1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 18 19 20 21 22 23 24 25 26 27 28 29 30 31 32 33 34 35 36 37 38 39 40 41 42 43 44 45 46 47 48 49 50 51 52 53 54 55 56 57 58 59 60 61 62 63 64 65 66			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/ze62eVb.html" rel="bookmark">jquery读取xml文件实现省市县三级联动的方法&lowbar;jquery</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				本文实例讲述了jquery读取xml文件实现省市县三级联动的方法.分享给大家供大家参考.具体如下: 页面代码如下: &lt;!DOCTYPE HTML PUBLIC &quot;-//W3C//DTD HTML 4.01 Transitional//EN&quot;&gt; &lt;html&gt; &lt;head&gt; &lt;base href=&quot;&lt;%=basePath%&gt;&quot;&gt; &lt;title&gt;My JSP 'city.jsp' starting p			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/zwXGrOb.html" rel="bookmark">JavaScript操作XML&sol;HTML比较常用的对象属性集锦&lowbar;javascript技巧</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				节点对象属性 childNodes-返回节点到子节点的节点列表 firstChild-返回节点的首个子节点. lastChild-返回节点的最后一个子节点. nextSibling-返回节点之后紧跟的同级节点. nodeName-返回节点的名字,根据其类型. nodeType-返回节点的类型. nodeValue-设置或返回节点的值,根据其类型. ownerDocument-返回节点的根元素(document对象). parentNode-返回节点的父节点. previousSibling-返回			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/zDKadOp.html" rel="bookmark">JavaScript实现将xml转换成html table表格的方法&lowbar;javascript技巧</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				本文实例讲述了JavaScript实现将xml转换成html table表格的方法.分享给大家供大家参考.具体如下: function ConvertToTable(targetNode) { // if the targetNode is xmlNode this line must be removed // i couldnt find a way to parse xml string to xml node // so i parse xml string to xml documen			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/pn8wgKb.html" rel="bookmark">JavaScript读二进制文件并用ajax传输二进制流的方法&lowbar;javascript技巧</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				综合网上多个教程,加上自己实践得出的方法,目前能够兼容谷歌.IE11.IE10. htmlbody里的内容,没什么特殊的. &lt;div id=&quot;dConfirm&quot;&gt; &lt;p style=&quot;float: left;margin-left: 20px;margin-top: 20px&quot;&gt; &lt;form action=&quot;javascript: uploadAndSubmit();&quot; name=&quot;demoForm&quo			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/pn8okZb.html" rel="bookmark">JavaScript利用HTML DOM进行文档操作的方法&lowbar;javascript技巧</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				HTML DOM 树 一.DOM简介 DOM是W3C制定的用于访问诸如XML和XHTML等结构化文档的标准. W3C文档对象模型(DOM)是一个使程序和脚本有能力动态地访问和更新文档的内容.结构以及样式的平台和语言中立的接口 核心DOM:用于任何结构化文档的标准模型 XML DOM:用于XML文档的标准模型.是用于获取.更改.添加或删除XML元素的标准. HTML DOM: 用于HTML文档的标准模型.定义了所有HTML元素的对象和属性,以及访问它们的方法(接口). 二.DOM节点 根据DOM规			</div>
		</article>
	</section>
	
	</div><!-- /related -->
	


</div>
<!-- /main -->


<aside class="col-md-4">



	<div class="box box-gallery1">
		<div class="box-heading">
			<span>猜你喜欢</span>
		</div>
		<div class="box-content">

									<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/wzVNxVz.html" rel="bookmark" class="title">搜狗输入法2015辅助工具怎么关</a>
					<div>
						  1.先搞清楚,这个进程是干什么的?是否影响搜狗拼音输入法的正常使用?有人说这是属于细胞词库管理的程序.看看吧,使用快捷键:Ctrl+Shift+M→P→调出 设置属性. 2.设置属性→词库→细胞词 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/wzVQgnp.html" rel="bookmark" class="title">关于网站流量和收录的那点小事儿</a>
					<div>
						网站的收录问题一直困扰着一些站长朋友.每天发了一大批的文章就是不见百度收录,有时候不仅看不到收录,而且还减少了,之所以站长朋友那么关注自己网站文章的收录,是因为一个网站的收录对于关键词的排名.网站流量 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/Lp5Ojqb.html" rel="bookmark" class="title">一份老外写的XMLHttpRequest代码多浏览器支持兼容性</a>
					<div>
						request|xml|xmlhttprequest|浏览器  这几天要构思用Javascript调用Asp.Net的WebService,需要到XMLHTTP来支持,但发现Opera的XMLHttp ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/Lp52VDz.html" rel="bookmark" class="title">Php面向对象 &ndash; 单例模式</a>
					<div>
						Php面向对象 – 单例模式 保证类只有一个实例 1. 如何可以解决一个类可以被无限地实例化? New,就能实例化一次,怎么去限制,用户不能无限次地new? 将构造方法私有化.所有外部的new都操作失 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/aM1jaop.html" rel="bookmark" class="title">缓冲技术提高JSP程序性能和稳定性</a>
					<div>
						js|程序|性能 一.概述 在Web应用中,有些报表的生成可能需要数据库花很长时间才能计算出来:有的网站提供天气信息,它需要访问远程服务器进行SOAP调用才能得到温度信息.所有这一切都属于复杂信息的例 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/vMN2LJM.html" rel="bookmark" class="title">解决Asp程序的Server&period;CreateObject错误</a>
					<div>
						        由于以前一直没用过XP系统(还是在大学那会xp刚出来的时候用过,以后就一直没用过xp,当时不喜欢它花里胡哨的界面,呵呵.),没碰到过这样的问题,今天在帮一个网友mm解决excel导入到 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/7M0lV6M.html" rel="bookmark" class="title">用ASP编写下载网页中所有资源的程序</a>
					<div>
						程序|网页|下载|下载     看过一篇关于下载网页中图片的文章,它只能下载以http头的图片,我做了些改进,可以下载网页中的所有连接资源,并按照网页中的目录结构建立本地目录,存放资源. downlo ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/XMlrOOz.html" rel="bookmark" class="title">浅谈自己自学SEO后的看法</a>
					<div>
						自己在平时搜索或&quot;SEO&quot;的过程中发现的简单规律: 1)由于百度大整改,百度现在开始喜欢上网站内容模式的简单化色香味俱全的网站,看起来舒服,用户体验度好,结构不复杂都是百度喜欢的, ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/9bBqEaz.html" rel="bookmark" class="title">datagrid编辑、修改、删除、翻页例子</a>
					<div>
						datagrid|翻页   现在数据库中建立test表,字段分别为ID.Code.Name: 数据库的链接这里就不具体写了,数据库的链接和操作请求我写在了AreaInfo.cs中,代码中会用到,这里声 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/qba2GwM.html" rel="bookmark" class="title">购买外链、交换友情链接的技巧方法</a>
					<div>
						购买外链我都是在A5担保那里买的外链,信誉度高,加链接也快.换链接也可以到A5论坛相关栏目去交换友情链接,方便快捷.大家知道网站优化.推广外链的建设是非常非常重要的,不管是换链接,还是买链接,很多人只 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/xp81lPz.html" rel="bookmark" class="title">VC中&num;define EC&lpar;x&rpar; L&num;&num;x的作用</a>
					<div>
						#define EC(x) L##x 作用说明 表示L与x连接. #define Conn(x,y) x##y #define ToChar(x) #@x #define ToString(x) #x ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pk24LoM.html" rel="bookmark" class="title">图的匹配问题与最大流问题（四）计算图的边连通度和点连通度</a>
					<div>
						最近有点忙,好久没跟进了,有兴趣的朋友可以先熟悉下前三篇文章内容,(一)讲述了基础概念:(二)介绍了最大流算法的实现原理以及证明:(三)用Java语言予以了实现,欢迎大家批评指正. 回到正题,首先介绍 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MRyYK3b.html" rel="bookmark" class="title">通过screen实现近乎并发的shell远程调用思考和部分实现</a>
					<div>
						假设一种场景,需要在多个节点需要执行相同命令(考虑命令的不确定性),一般使用for 循环,ssh直接调用.例:需要查看每个节点的根目录使用情况: 实际上,仅仅需将上述几行命令写成一个脚本,将要执行的命 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bEl193z.html" rel="bookmark" class="title">win7防火墙打开显示错误代码0x80070422怎么办</a>
					<div>
						  win7系统防火墙打开显示错误代码0x80070422怎么办,这是什么情况呢? 一.首先打开运行窗口,输入services.msc回车进入服务窗口. 二.接着在服务窗口中找到windows fir ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M9Ek2RM.html" rel="bookmark" class="title">微软Excel的种种限制和差异详细介绍</a>
					<div>
						  1 自定义格式的条件不能超过3个,但可以通过自定义单元格格式增加到6种颜色(边框等无法改).其他的限制有:不能输入常量数组.不能复制粘贴.不能更改条件顺序 2 没有办法添加&quot;自动套用格式 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MlBmAOz.html" rel="bookmark" class="title">Win8系统如何设置图片密码</a>
					<div>
						为了让系统中的资料更加安全,我们通常都会为系统设置登录密码,常见的有一般的数字密码.PIN码等等,但在Win8中还有一种特殊的密码模式.接下来我们就来了解一下Win8的图片密码. 图片密码是一种帮助用 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/Myw1kvz.html" rel="bookmark" class="title">u大师制作失败解决方法</a>
					<div>
						  系统重装来说,小编认为U大师是一款值得推荐的软件,不少朋友在U大师的使用过程中会出现一些问题,下面小编为大家提供一些U大师制作u盘启动盘的时候提示失败解决方法 方法一:查看是否有运行杀毒软件.U盘 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bjmKm8z.html" rel="bookmark" class="title">protocol inbound all是啥意思？</a>
					<div>
						问题描述 protocol inbound all是啥意思? protocol inbound all是啥意思???????????????? 解决方案 命令protocol??inbound?{?a ...					</div>
				</div>
			</div>
						<div class="item clearfix">
									<a href="https://www.iamivan.net/a/zOavdqM.html" class="thumbnail">
				<img src="/assets/blank.gif" data-echo="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHAvaW1nLmJsb2cuY3Nkbi5uZXQvMjAxNDEwMDkyMDU4NTEzNjc/d2F0ZXJtYXJrLzIvdGV4dC9hSFIwY0RvdkwySnNiMmN1WTNOa2JpNXVaWFF2V0ZOR05UQTNNVGM9L2ZvbnQvNWE2TDVMMlQvZm9udHNpemUvNDAwL2ZpbGwvSTBKQlFrRkNNQT09L2Rpc3NvbHZlLzcwL2dyYXZpdHkvU291dGhFYXN0.jpg">
							</a>
							<div class="info"   >
					<a href="https://www.iamivan.net/a/zOavdqM.html" rel="bookmark" class="title">链队列</a>
					<div>
						链队列的实质就是只限制在表头做添加,表尾做删除的单链表 一 链队列示意图 注:增加指向链表的队尾指针,便于在表尾做插入操作:其中Q为LinkQueue型的指针. 二 链队列基本运算 [cpp] vie ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zGJkdEp.html" rel="bookmark" class="title">《Python高手之路（第3版）》&mdash;&mdash;导读</a>
					<div>
						前 言 Python高手之路(第3版) 如果你正在读这本书,你肯定已经使用Python有一阵子了.你可能是通过一些文档学习的,钻研了一些已有的项目或者从头开发,但不管是哪种情况,你都已经在以自己的方式 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bE6Y8PM.html" rel="bookmark" class="title">大数据时代，如何利用数据来提升设计？</a>
					<div>
						什么是数据? 我们需要不拘一格的自主权,和我们考虑的数据一样.对我们来说,这不仅仅是数字,在我们看似平常的一些数据,甚至能让传统数据科学家屈服. 举个例子,社交软件注册时需要询问新用户用一些形容词(标 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MgROaAb.html" rel="bookmark" class="title">开源无线WiFi入侵检测&amp;amp&semi;防护系统&mdash;&mdash;WAIDPSphper</a>
					<div>
						WAIDPS是一个Python编写的无线入侵检测工具,基于Linux平台,完全开源.它可以探测包括WEP/WPA/WPS在内的无线入侵&amp;攻击方式,并可以收集WiFi相关的所有信息.WAIDS适 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MvmDg6b.html" rel="bookmark" class="title">openssl java 双认证 ssh</a>
					<div>
						问题描述 openssl java 双认证 ssh 我使用openssl创建了一个测试双认证服务.当然是自己创建CA认证服务. 生成客户端认证所需要的文件命令如下:-&gt;openssl genrs ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MqR37Zp.html" rel="bookmark" class="title">solaris-Solaris日志中关于硬件驱动程序的警告信息</a>
					<div>
						问题描述 Solaris日志中关于硬件驱动程序的警告信息 M4000服务器上安装了时统中断卡及设备驱动程序.最近操作系统日志频繁出现警告 信息,意思是时统中断卡出现虚假中断,中断号为15.之前硬件卡和 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/z40xajz.html" rel="bookmark" class="title">发改委查处一批柴油价格违法案件涉及石化巨头</a>
					<div>
						本报北京11月23日电 (记者朱剑红)国家发改委今天公布了一批柴油价格违法典型案件,陕西省地方石油企业.山东金诚石化集团公司.江苏省连云港中油石油销售有限公司.中国石化河南洛阳石油分公司.中国石化湖北 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/z7ZjPqp.html" rel="bookmark" class="title">《C&num;多线程编程实战（原书第2版）》&mdash;&mdash;2&period;10　使用SpinWait类</a>
					<div>
						2.10 使用SpinWait类 本节将描述如何不使用内核模型的方式来使线程等待.另外,我们介绍了SpinWait,它是一个混合同步构造,被设计为使用用户模式等待一段时间,然后切换到内核模式以节省CP ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zeo6P8M.html" rel="bookmark" class="title">大家晒晒收藏的有哲理的励志名言！</a>
					<div>
						问题描述 1.人,应当象&quot;人&quot;一样,永远向上而又双脚踏地. 2.与人握手时,可多握一会儿.真诚是宝. 3.在选择别人时,也要让别要想选择自己,在考验别人时,也要让别人考验自己. 4 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MRN4nqM.html" rel="bookmark" class="title">乐奇足球邱秋：90后完成O2O闭环 获百万天使投资</a>
					<div>
						开始就是社交强O2O模式我们用自己做外包最后剩下的钱,以及又筹集的一些钱开始创业.我们最开始尝试的推广方式,就非常O2O,我们拿着物料直接到足球场做推广.那些经常组织踢球的用户,看通过我们平台订场地便 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MRNA63M.html" rel="bookmark" class="title">用户体验是做电商的重中之重</a>
					<div>
						中介交易 http://www.aliyun.com/zixun/aggregation/6858.html&quot;&gt;SEO诊断 淘宝客 云主机 技术大厅 不管有多少企业死在下面,也不管烧掉 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MlLN8YM.html" rel="bookmark" class="title">将FileZilla进程窗口嵌入WinForm异常问题</a>
					<div>
						问题描述 SetParent()进程间通信1.FileZilla进程窗口最大化有时会冒出Form窗口2.FileZilla进程窗口貌似无法随Form自适应,不能识别最大化 解决方案					</div>
				</div>
			</div>
			
		</div>
	</div>

	<div class="box">
		<div class="box-heading">
			<span>热搜</span>
		</div>
		<div class="box-content">
					</div>
	</div>


</aside>
      </div>
    </div>
    <!-- /.container -->

    <div id="copyright">
      <div class="pull-left">
        &#169; 2024 iVAN        | info#iamivan.net        | 11 q. 0.024 s.
      </div>

    </div>

  </div><!--/.wrapper -->


  <!-- <script src="/assets/js/jquery.js"></script>
  <script src="/assets/js/bootstrap.min.js"></script> -->
  <div style=" display: none ";>
  </div>

<script src="/assets/js/echo.js"></script>
<script>
    echo.init({
      offset: 100,
      throttle: 250,
      unload: false,
      callback: function (element, op) {
        console.log(element, 'has been', op + 'ed')
      }
    });
    </script>
</body>
</html>
